﻿using System;
using Wisej.Web;
using System.Collections.Specialized;

namespace Wisej.AppLinksTest
{
	static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		static void Main()
		{
			Application.MainPage = new Page1();

			Application.ApplicationStart += Application_ApplicationStart;
			Application.ApplicationRefresh += Application_ApplicationRefresh;
			Application.HashChanged += Application_HashChanged;
		}

		private static void Application_HashChanged(object sender, Core.HashChangedEventArgs e)
		{
			// this is fired when the hash changes.
			var query = System.Web.HttpUtility.ParseQueryString(e.Hash);

			AlertBox.Show("User ID: " + query["id"]);
		}

		private static void Application_ApplicationStart(object sender, EventArgs e)
		{
			// this is fired when the session is loaded the first time.
			AlertBox.Show("User ID: " + Application.QueryString["id"]);
		}

		private static void Application_ApplicationRefresh(object sender, EventArgs e)
		{
			// this is fired when the argument in the URL change.
			AlertBox.Show("User ID: " + Application.QueryString["id"]);
		}

	}
}